/**
 * @file
 */

(($, Drupal, cookies) => {
  Drupal.behaviors.field_group_bootstrap = {
    attach: (context, settings) => {
      function memoryClick(type = '', currentTab, currentGroup) {
        // Retrieve a cookie.
        let cookiesType = cookies.get(type);
        if (cookiesType) {
          cookiesType = JSON.parse(cookiesType);
        } else {
          cookiesType = {};
        }
        console.log( currentTab, currentGroup)
        cookiesType[currentGroup] = currentTab;
        // Set a cookie.
        cookies.set(type, JSON.stringify(cookiesType));
      }

      // Memory when click on tab.
      $('.field-group-bootstrap_tabs-wrapper .nav .nav-link', context).click(function () {
        memoryClick('bootstrap_tabs', $(this).attr('aria-controls'), $(this).data('group'));
      });

      // Memory when click on list item scrollby.
      $('.field-group-bootstrap_scrollby-wrapper .list-group .list-group-item', context).click(function () {
        memoryClick('bootstrap_scrollby', $(this).data('controls'), $(this).data('group'));
      });

      // Memory when click on accordion.
      $('.field-group-bootstrap_accordion-wrapper .accordion-button', context).click(function () {
        memoryClick('bootstrap_accordion', $(this).data('controls'), $(this).data('group'));
      });
    },
  };
})(jQuery, Drupal, window.Cookies);
